#!/usr/bin/ruby
# encoding: utf-8

class ChntpwScreen	
	def initialize(extlayers, button)
		@layers = Array.new
		
		###### First layer for selection of windows installation
		
		fixed = Gtk::Fixed.new
		text5 = Gtk::Label.new
		text5.width_request = 230
		text5.wrap = true
		text5.set_markup("<span color='white'>Klicken Sie hier, um zum nächsten Schritt zu gelangen.</span>")
		forw  = Gtk::EventBox.new.add Gtk::Image.new("forward.png")
		
		orangetile = Gtk::EventBox.new.add Gtk::Image.new("neutralpurple.png")
		# reread = Gtk::EventBox.new.add Gtk::Image.new("buttongreen.png")
		# reread = Gtk::Button.new("Neu einlesen")
		# reread.width_request = 120
		# reread.height_request = 32
		drivecombo = Gtk::ComboBox.new
		drivecombo.append_text("Yoyodyne Frobolator SATA Partition 2 500GB (sda2)") 
		drivecombo.active = 0
		drivecombo.height_request = 32
		drivecombo.width_request = 510
		deltext = TileHelpers.create_label("Von welcher Windows-Installation soll die Passwort-Datenbank bearbeitet werden? Bitte beachten Sie, dass nur lokal gespeicherte Passwörter zurückgesetzt werden können.", 510)
		
		fixed.put(forw, 853, 282)
		fixed.put(text5, 630, 288)
		fixed.put(orangetile, 0, 0)
		fixed.put(deltext, 130, 0)
		# fixed.put(reread, 520, 88)
		fixed.put(drivecombo, 130, 88)
		TileHelpers.place_back(fixed, extlayers)
		extlayers["chntpwstart"] = fixed
		@layers[0] = fixed
		button.signal_connect('button-release-event') { |x, y|
			if y.button == 1 
				extlayers.each { |k,v|v.hide_all }
				extlayers["chntpwstart"].show_all
			end
		}
		forw.signal_connect('button-release-event') { |x, y|
			if y.button == 1 
				extlayers.each { |k,v|v.hide_all }
				extlayers["chntpwuser"].show_all
			end
		}
		
		###### Second layer for selection of user
		fixeduser = Gtk::Fixed.new
		text6 = Gtk::Label.new
		text6.width_request = 230
		text6.wrap = true
		text6.set_markup("<span color='white'>Klicken Sie hier, um das Passwort zurückzusetzen.</span>")
		forw2  = Gtk::EventBox.new.add Gtk::Image.new("forward.png")
		orange2tile = Gtk::EventBox.new.add Gtk::Image.new("neutralpurple.png")
		usertext = TileHelpers.create_label("Wessen Windows-Passwort soll zurückgesetzt werden? Nicht angezeigte Nutzer deuten auf die Verwendung von Live-Accounts oder eine defekte Passwort-Datenbank hin.", 510)
		TileHelpers.place_back(fixeduser, extlayers)
		usercombo = Gtk::ComboBox.new
		usercombo.append_text("Heinz Mustermann") 
		usercombo.active = 0
		usercombo.height_request = 32
		usercombo.width_request = 510
		fixeduser.put(forw2, 853, 282)
		fixeduser.put(text6, 630, 288)
		fixeduser.put(usertext, 130, 0)
		fixeduser.put(orange2tile, 0, 0)
		fixeduser.put(usercombo, 130, 88)
		
		extlayers["chntpwuser"] = fixeduser
		@layers[1] = fixeduser
		
		forw2.signal_connect('button-release-event') { |x, y|
			if y.button == 1 
				TileHelpers.success_dialog("Das Passwort des Benutzers \"Heinz Mustermann\" wurde erfolgreich zurückgesetzt! Klicken Sie auf \"OK\" um zum Startbildschirm zurückzukehren.", "Passwort zurückgesetzt")
				extlayers.each { |k,v|v.hide_all }
				extlayers["start"].show_all
			end
		}
		
		
		
		
	end
	
	attr_reader :layers
end